[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SPtr

Return current stack pointer

## Declaration

Source position: systemh.inc line 1410

`function SPtr: Pointer;`

## Description

Sptr returns the current stack pointer.

## Errors

None.

## See also

SSeg |  | Return stack segment register value.

## Example

    program Example64;

    { Program to demonstrate the sptr function. }

    var p:ptruint;

    begin
      p:=ofs(stackbottom); { P Contains now the current stack position. }
    end.